## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRealisticAttenuation Struct Reference

Inverse quadratic attenuation. More...

`#include <csgfx/vertexlight.h>`

List of all members.

## Public Member Functions

| csRealisticAttenuation (const csLightProperties &)
void | operator() (float distance, float &dp) const

## Detailed Description

Inverse quadratic attenuation.

Out = in * / distance^2

Definition at line 171 of file vertexlight.h.

The documentation for this struct was generated from the following file:

- csgfx/vertexlight.h